package _03_无线循环;

import java.util.Scanner;

public class Test1 {

    public static void main(String[] args) {
        /**
         * 要求1: 需要借助无线循环
         * 需求: 登录功能, 用户能够在控制当中输入账号和密码
         * 如果输入错误可以重复输入   输入正确打印登录成功结束循环操作  break;
         */
        //1  创建 Scanner
        Scanner scanner = new Scanner(System.in);
        while (true){
            System.out.println("请输入账号");
            String account = scanner.next();
            System.out.println("请输入密码");
            String password = scanner.next();
            if("admin".equals(account) && "123".equals(password)){
                System.out.println("登录成功");
                break;
            }else{
                System.out.println("登录失败 请重新输入");
            }
        }
    }
}
